Bug 124516 - ATI Radeon 7000 will not work with dri
Summary: ATI Radeon 7000 will not work with dri
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: athlon
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-27 05:12 UTC by Alan Olsen
Modified: 2015-01-04 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-24 06:41:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Olsen 2004-05-27 05:12:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When starting X with an ATI Radeon 7000 card, if the dri module is
enabled, the screen will come up blank and X will hang.

If I disable the dri module, X will come up fine.

The commercial driver from ATI will not function with the 7000 and I
would like to get hardware acceleration working.


Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358 xorg-x11-6.7.0-2

How reproducible:
Always

Steps to Reproduce:
1. startx with dri enabled.
2. system screen goes blank and system hangs
3.
    

Actual Results:  I hard reboot the system.

Expected Results:  X should have come up with hardware acceleration.

Additional info:

Comment 1 Colin Charles 2004-06-14 17:30:51 UTC
When /etc/X11/XF86Config has the line: Load "dri", and X starts, it
seems to work with kernel-2.6.5-1.358/xorg-x11-6.7.0-2 without issue
on my system - upgraded FC1->FC2 running for just under a month
without issue.

Comment 2 Alan Olsen 2004-06-15 03:25:47 UTC
The issue appears to be a problem with the SiS AGP chipset and not the
Radeon itself.  The SiS741GX does not work with Linux (yet).  Instead
of checking version and exiting nicely, it just goes out to lunch.

Comment 3 Mike A. Harris 2004-07-06 05:00:59 UTC
That would be a kernel side issue...  reassigning to kernel component
for sis chipset issue...

Comment 4 Dave Jones 2004-11-03 03:46:45 UTC
is this still repeatable with current kernel / xorg ?

if so, can you paste the output of dmesg please ?

Comment 5 Dave Jones 2005-01-24 06:41:01 UTC
3 months of inactivity - assuming fixed.



Note You need to log in before you can comment on or make changes to this bug.